-- d_ff.vhd
library IEEE;
use IEEE.std_logic_1164.all;

-- 入出力の宣言
entity d_ff is
	port
	(
		CLK  : in std_logic;
		D    : in std_logic;
		Q    : out std_logic
	);
end d_ff;

-- 回路の記述
architecture RTL of d_ff is

begin
	process(CLK)
	begin
		if(CLK'event and CLK = '1') then
			Q <= D;
		end if;
	end process;
end RTL;
