-- half_adder.vhd
library IEEE;
use IEEE.std_logic_1164.all;

-- 入出力の宣言 
entity half_adder is
	port
	(
		A	: in std_logic;
		B	: in std_logic;
		S	: out std_logic;
		CO	: out std_logic
	);
end half_adder;

-- 回路の記述
architecture RTL of half_adder is

begin
	S <= A xor B;

	CO <= A and B;
end RTL;
